Bug 66934 - explicit prefix "/mnt/cdrom" causes problems if iso is mounted elsewhere
explicit prefix "/mnt/cdrom" causes problems if iso is mounted elsewhere
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Server (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Adrian Likins
Fanny Augustin
Depends On:
  Show dependency treegraph
Reported: 2002-06-18 16:22 EDT by Ben Levenson
Modified: 2007-07-31 15:07 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-06-21 11:22:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Ben Levenson 2002-06-18 16:22:11 EDT
Description of Problem:
Traceback occurs if the installer isn't mounted @ /mnt/cdrom:

[root@test81 root]# /mnt/installer/usr/sbin/satinstall
Traceback (innermost last):
  File "/mnt/installer/usr/sbin/satinstall", line 33, in ?
    from satinstall import tnsnames
ImportError: No module named satinstall

from /usr/sbin/satinstall:
     30 prefix = "/mnt/cdrom/"
     31 sys.path.append("%s/usr/share/rhn/" % prefix)
     33 from satinstall import tnsnames
     34 from satinstall import satConfig
     35 from satinstall import satInstall
     36 from satinstall import satInstallErrors

Steps to Reproduce:
1. mount the iso at anything but /mnt/cdrom
2. try to launch the installer

Additional Information:
should the prefix be dynamic? I don't know python, otherwise I might offer
another suggestion.
Comment 1 Adrian Likins 2002-06-20 14:24:40 EDT
Not really a bug. We are working on the assumption the 
installer is always mounted on /mnt/cdrom.

If that assumption is not correct, we need to change
the spec and the code.

gdk: we are still assuming the cd will be at /mnt/cdrom correct?
Comment 2 Josef Komenda 2002-06-24 10:08:58 EDT
Easy enough to make /mnt/cdrom an explicit requirement, since we're doing a
clean install. Closing.

Note You need to log in before you can comment on or make changes to this bug.